Bug 44920

Summary: nested, multi-page tables and keep-with-previous
Product: Fop - Now in Jira Reporter: Torsten Blix <torsten.blix>
Component: generalAssignee: fop-dev
Status: NEW ---    
Severity: normal    
Priority: P3    
Version: trunk   
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   
Attachments: see bug description

Description Torsten Blix 2008-05-02 03:01:59 UTC
Created attachment 21900 [details]
see bug description

Running FOP 0.95beta from the command line on the attached XSL-FO and producing a PDF output, I get no warnings/errors and the expected text on the first page up until "LOOK HERE". Then follows an empty second page and the end of the document, even though there is some text left in the XSL-FO. I expected the text to be printed on the 2nd page.

Removing the attribute keep-with-previous.within-column='always' from the table row below "LOOK HERE" makes the text on the 2nd page appear again.

FOP 0.94 behaves differently and does not hide any text, but breaks the table apart a bit early imho (there seems to be plenty of place left at the bottom of page 1).

The support for keep-with-previous should be partial, as per the compliance page (http://xmlgraphics.apache.org/fop/compliance.html#fo-property-keep-with-previous).
The comments there read:
    * [0.20.5] works only in table rows
    * [0.94] works on all implemented FOs, except list- and table-related and
      inline-level FOs.
    * [0.95] works on all implemented FOs, except list- and inline-level FOs.
    * [0.94 and later] <integer> values are not supported.
I would expect my document not to work in 0.94 but to work in 0.95, as the usage of keep-with-previous is table-related. Nevertheless, not showing parts of the table is a bit unexpected.  Just ignoring the keep-with-previous attribute would have been fine. :)
Comment 1 Andreas L. Delmelle 2008-05-02 09:40:48 UTC
Should be fixed in the 0.95 branch. Issue to be closed once those changes have been merged back into the trunk.
Comment 2 Glenn Adams 2012-04-07 01:44:51 UTC
resetting P2 open bugs to P3 pending further review
Comment 3 Glenn Adams 2012-04-11 06:16:10 UTC
change status from ASSIGNED to NEW for consistency